Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: quota

Interfaces

### Description:

File system quota management.

### Interfaces:

quota_admin( domain , role )

##### Summary

All of the rules required to administrate an quota environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

quota_domtrans( domain )

##### Summary

Execute quota management tools in the quota domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

quota_domtrans_nld( domain )

##### Summary

Execute quota nld in the quota nld domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

quota_dontaudit_getattr_db( domain )

##### Summary

Do not audit attempts to get attributes of filesystem quota data files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

quota_manage_db_files( domain )

##### Summary

Create, read, write, and delete quota db files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

quota_manage_flags( domain )

##### Summary

Create, read, write, and delete quota flag files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

quota_run( domain , role )

##### Summary

Execute quota management tools in the quota domain, and allow the specified role the quota domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

quota_spec_filetrans_db( domain , file_type , object , name )

##### Summary

Create specified objects in specified directories with a type transition to the quota db file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
file_type | Directory to transition on.
object | The object class of the object being created.
name | The name of the object being created.

Return